%define real_name Regexp-Keep

Summary:	Regexp::Keep - filter to allow the "\K" escape in regexes
Name:		perl-%{real_name}
Version:	0.02
Release: %mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{real_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Regexp/%{real_name}-%{version}.tar.bz2
BuildRequires:	perl-devel
#BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This allows you to use the "\K" escape in your regexes, which
fools the regex engine into thinking it has only just started
matching your regex. This means you can turn the inefficient
replace-with-itself construct

  s/(save)delete/$1/;

   into the more efficient

  s/save\Kdelete//;

   construct.

%prep
%setup -q -n %{real_name}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%dir %{perl_vendorlib}/*/auto/Regexp/Keep
%{perl_vendorlib}/*/auto/Regexp/Keep/*
%{perl_vendorlib}/*/Regexp/Keep.pm
%{_mandir}/*/*

%changelog
* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.02-2mdk
- Fix According to perl Policy
	- Source URL
- use mkrel

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.02-1mdk
- initial Mandriva package 
